Update a user - Gable Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PATCH /v0/settings/user
Try it
Update a user
cURL
curl --request PATCH \
--url https://demo-api.gable.ai/v0/settings/user \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '\n{\n "email": "<string>",\n "firstName": "<string>",\n "lastName": "<string>",\n "githubHandle": "<string>"\n}\n'\n```
```python
import requests
url = "https://demo-api.gable.ai/v0/settings/user"
payload = {
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"githubHandle": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
firstName: '<string>',
lastName: '<string>',
githubHandle: '<string>'
})
};
fetch('https://demo-api.gable.ai/v0/settings/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200: User was updated successfully
- 400: Bad Request
- 404: Not Found
- 500: Internal Server Error
Body
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"githubHandle": "<string>"
}
Authorizations
X-API-KEY
Type: string, required in header.
Fields
- email: string, required. The email address of the user.
- firstName: string, The first name of the user.
- lastName: string, The last name of the user.
- githubHandle: string, The GitHub handle of the user.